Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32688/?format=api
{ "ob_id": 32688, "uuid": "feb1e0b5426d4f5c80f791909a3a2d37", "title": "High resolution Standardized Precipitation Evapotranspiration Index (SPEI) dataset for Central Asia", "abstract": "This dataset contains high-resolution (5 km) Standardized Precipitation Evaporation Index (SPEI-HR) drought data for Central Asia. There are forty-eight different SPEI time scales and the available period is from 1981 - 2018, the data was produced using Climate Hazards group InfraRed Precipitation with Station’s (CHIRPS) precipitation dataset and Global Land Evaporation Amsterdam Model’s (GLEAM) potential evaporation dataset. The SPEI-HR dataset, over time and space, correlates fairly well with SPEI values estimated from coarse-resolution Climate Research Unit (CRU) dataset. Furthermore, the SPEI-HR dataset, for 6-month timescale, displayed a good correlation of 0.66 with GLEAM root zone soil moisture and a positive correlation of 0.26 with normalized difference vegetation index (NDVI) from Global Inventory Monitoring and Modelling System (GIMMS).", "keywords": "SPEI, Central Asia, drought", "publicationState": "citable", "dataPublishedTime": "2021-06-03T08:29:27", "doiPublishedTime": "2022-02-28T13:13:25", "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32689/?format=api", "dataPath": "/badc/deposited2021/spei-central-asia/data", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 54700431523, "numberOfFiles": 51, "fileFormat": "Data are NetCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8980/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2797/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/51981/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/60423/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/60424/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/60425/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/60426/?format=api" ], "dataLineage": "Data was prepared for a Masters Thesis at the Chair of Hydrology and River Basin Management and deposited at the Centre for Environmental Data Analysis (CEDA) for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/11032/?format=api" ], "projects": [], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145750/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145751/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145752/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145753/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145754/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145755/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145760/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145761/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145762/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168962/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145763/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145764/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/32691/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }